Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Carlos O'Donell <[email-masked]>
Date: Mon, 23 Nov 2020 15:06:25 -0500

On 11/23/20 2:55 PM, Jean Louis wrote:
> * Carlos O'Donell <[email-masked]> [2020-11-23 22:37]:
>>>
>>> # MTRACE_CTL_VERBOSE=1
>>> MTRACE_CTL_FILE=/home/data1/protected/tmp/mtraceEMACS.mtr LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs >> $DEBUG 2>&1
>>>
>>> I have tried like above and it will block as soon as eww is loads some
>>> page with the same error as previously.
>>
>> That's interesting. Are you able to attach gdb and get a backtrace to see
>> what the process is blocked on?
> 
> I can do C-g one time to interrupt something going on, then I get error
> 
> (gdb) continue
Please issue 'thread apply all backtrace' to get a backtrace from all
the threads to see where they are stuck.

You will need debug information for this for all associated frames in
the backtrace. Depending on your distribution this may require debug
information packages.

-- 
Cheers,
Carlos.